LGM Crashes When Action is Added #258

Closed
ryanisaacg opened this Issue Mar 30, 2016 · 3 comments

Comments

Projects
None yet
2 participants
@ryanisaacg

I installed enigma on my Ubuntu GNOME laptop using the instructions at the enigma site. Everything seemed to be going well, until I tried to use it. I launched LGM with the command java -Djna.nosys=true -jar lateralgm.jar, and it opened fine. When I created an object, I tried to add an action to the creation event. The entire window froze and refused to respond to input, and wouldn't even close when I hit the close button. I had to close it by killing the process.

@ryanisaacg ryanisaacg referenced this issue in enigma-dev/enigma-dev Mar 30, 2016

Closed

LGM Crashes When Action is Added #962

@RobertBColton

This comment has been minimized.

Show comment
Hide comment
@RobertBColton

RobertBColton Apr 2, 2016

Collaborator

@ryanisaacg Can I see the results of java -version please? Can you tell me if you installed OpenJDK? If so, Swing applications are practically unusable in OpenJDK, you should instead install the Oracle JDK.

Collaborator

RobertBColton commented Apr 2, 2016

@ryanisaacg Can I see the results of java -version please? Can you tell me if you installed OpenJDK? If so, Swing applications are practically unusable in OpenJDK, you should instead install the Oracle JDK.

@ryanisaacg

This comment has been minimized.

Show comment
Hide comment
@ryanisaacg

ryanisaacg Apr 3, 2016

It works fine in Oracle JDK, thanks!

It works fine in Oracle JDK, thanks!

@ryanisaacg ryanisaacg closed this Apr 3, 2016

@RobertBColton

This comment has been minimized.

Show comment
Hide comment
@RobertBColton

RobertBColton Apr 3, 2016

Collaborator

@ryanisaacg Sorry about that, but it's really not our fault. The general consensus is that OpenJDK is just really buggy. I am convinced it's haunted with ghosts 😃

I've also updated our download page to recommend the use of Oracle JDK.
http://enigma-dev.org/docs/wiki/index.php?title=Install&action=historysubmit&diff=30805&oldid=30735

Collaborator

RobertBColton commented Apr 3, 2016

@ryanisaacg Sorry about that, but it's really not our fault. The general consensus is that OpenJDK is just really buggy. I am convinced it's haunted with ghosts 😃

I've also updated our download page to recommend the use of Oracle JDK.
http://enigma-dev.org/docs/wiki/index.php?title=Install&action=historysubmit&diff=30805&oldid=30735

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment